Loading...
Searching...
No Matches
Deprecated Functions
PCM Interface
Collaboration diagram for Deprecated Functions:

## Functions

const char * | snd_pcm_start_mode_name (snd_pcm_start_t mode)
| (DEPRECATED) get name of PCM start mode setting
const char * | snd_pcm_xrun_mode_name (snd_pcm_xrun_t mode)
| (DEPRECATED) get name of PCM xrun mode setting
int | snd_pcm_sw_params_set_start_mode (snd_pcm_t *pcm, snd_pcm_sw_params_t *params, snd_pcm_start_t val)
| (DEPRECATED) Set start mode inside a software configuration container
snd_pcm_start_t | snd_pcm_sw_params_get_start_mode (const snd_pcm_sw_params_t *params)
| (DEPRECATED) Get start mode from a software configuration container
int | snd_pcm_sw_params_set_xrun_mode (snd_pcm_t *pcm, snd_pcm_sw_params_t *params, snd_pcm_xrun_t val)
| (DEPRECATED) Set xrun mode inside a software configuration container
snd_pcm_xrun_t | snd_pcm_sw_params_get_xrun_mode (const snd_pcm_sw_params_t *params)
| (DEPRECATED) Get xrun mode from a software configuration container

## Detailed Description

See the PCM (digital audio) interface page for more details.

## Function Documentation

## snd_pcm_start_mode_name()

const char * snd_pcm_start_mode_name | ( | snd_pcm_start_t | mode | ) |

(DEPRECATED) get name of PCM start mode setting

Parameters

  mode | PCM start mode

Returns
  ascii name of PCM start mode setting

## snd_pcm_sw_params_get_start_mode()

snd_pcm_start_t snd_pcm_sw_params_get_start_mode | ( | const snd_pcm_sw_params_t * | params | ) |

(DEPRECATED) Get start mode from a software configuration container

Parameters

  params | Software configuration container

Returns
  start mode

## snd_pcm_sw_params_get_xrun_mode()

snd_pcm_xrun_t snd_pcm_sw_params_get_xrun_mode | ( | const snd_pcm_sw_params_t * | params | ) |

(DEPRECATED) Get xrun mode from a software configuration container

Parameters

  params | Software configuration container

Returns
  xrun mode

## snd_pcm_sw_params_set_start_mode()

int snd_pcm_sw_params_set_start_mode | ( | snd_pcm_t * | pcm,
|  | snd_pcm_sw_params_t * | params,
|  | snd_pcm_start_t | val )

(DEPRECATED) Set start mode inside a software configuration container

Parameters

  pcm | PCM handle
  params | Software configuration container
  val | Start mode

Returns
  0 otherwise a negative error code

## snd_pcm_sw_params_set_xrun_mode()

int snd_pcm_sw_params_set_xrun_mode | ( | snd_pcm_t * | pcm,
|  | snd_pcm_sw_params_t * | params,
|  | snd_pcm_xrun_t | val )

(DEPRECATED) Set xrun mode inside a software configuration container

Parameters

  pcm | PCM handle
  params | Software configuration container
  val | Xrun mode

Returns
  0 otherwise a negative error code

## snd_pcm_xrun_mode_name()

const char * snd_pcm_xrun_mode_name | ( | snd_pcm_xrun_t | mode | ) |

(DEPRECATED) get name of PCM xrun mode setting

Parameters

  mode | PCM xrun mode

Returns
  ascii name of PCM xrun mode setting